
// se nuotiamo nel fiume
if (f_action("_fiume01_","nuota"))
{
  
  // non abbiamo mai nuotato
  if ( _vNuotatoInFiume_ == 0 )
  {
    // per sapere che abbiamo gi nuotato
    _vNuotatoInFiume_ = 1; 
    // abbiamo il mattone con noi
    if (f_istaken("_mattone03_")) 
    {
      f_show("Oh no!!! Sei troppo pesante e vieni risucchiato in un gorgo...");
      // vai alla schermata di fallimento...
      f_lose(); 
    }
    else
    {
      f_show("Raggiungi la riva opposta dove trovi una pistola... 
              A fatica la riporti dall'altra parte asciutta. Ora  ai tuoi piedi.");
      // compare la pistola nella stanza
      f_move("_pistolaCarica00_","_rFiume_"); 
    }
  }
  else
  {
    f_show("Una nuotata ti  bastata...");
  }
  return true;
}

// se si esamina edificio, si legge una scritta con il numero
// di volte che bisogna tirare la catena del trono per vincere
if (f_action("_edificio05_","esamina"))
{
  var lScritta = 
    "Sulla parete c' una scritta scolorita: << ZUCAR " + _vTirareCatena_ + " ";
                  // zucar in triestino significa tirare

  if ( _vTirareCatena_ == 1 )
    // zucar 1 volt-A
    lScritta = lScritta + "VOLTA ! >> ..."; 
  else
    // zucar 2 o 3 volt-E
    lScritta = lScritta + "VOLTE ! >> ..."; 
  
  f_show(lScritta);
  
  return true;
}

// se ci si siede sul trono appare un laconico messaggio
if (f_action("_trono12_","siedi"))
{
  f_show("Ti senti un re! Per  scomodo.");
  return true;
}

// accendi lampada
if (f_action("_lampadaSpenta00_","accendi"))
{
  f_show("Hai acceso la lampada!");
  // scambiamo di posizione la lampada accesa e quella spenta
  f_swap("_lampadaAccesa00_", "_lampadaSpenta00_");
  return true;
}
// spegni lampada
if (f_action("_lampadaAccesa00_","spegni"))
{
  f_show("Hai spento la lampada!");
  // scambiamo di posizione la lampada accesa e quella spenta
  f_swap("_lampadaAccesa00_", "_lampadaSpenta00_");
  return true;
}

// usa lampada con mattone -> la lampada si rompe
if (f_action("_lampadaAccesa00_","usa con","_mattone03_"))
{
  f_show("Hai rotto la lampada!");
  // scambiamo di posizione la lampada accesa e quella rotta
  f_swap("_lampadaAccesa00_", "_lampadaRotta00_");
  return true;
}
if (f_action("_lampadaSpenta00_","usa con","_mattone03_"))
{
  f_show("Hai rotto la lampada!");
  // scambiamo di posizione la lampada spenta e quella rotta
  f_swap("_lampadaSpenta00_", "_lampadaRotta00_");
  return true;
}

// se si vuota il sacchetto compaiono le biglie
if (f_action("_sacchettoPieno05_","vuota"))
{
  // sostituiamo il sacchetto vuoto a quello pieno
  f_swap("_sacchettoVuoto00_", "_sacchettoPieno05_");

  // facciamo comparire le biglie nella stanza in cui siamo
  f_move("_biglie00_", f_whereisplayer());

  f_show("Vuoti il sacchetto: delle biglie si spargono a terra.");

  return true;
}

// tiriamo catena del trono:
// se si sbaglia numero di volte o non si ha l'occhio, si viene sciaquati via
// se il numero di volte  giusto ma non abbiamo indossato guanti, si muore fulminati
if ((f_obj1() == "_catena12_") && (f_verb() == "tira"))
{
  var lx = 0;
  if (f_obj2() == "una volta")
    lx = 1;
  else if (f_obj2() == "due volte")
    lx = 2;
  else if (f_obj2() == "tre volte")
    lx = 3;
  if (
     // il numero di volte che tiriamo la catena  giusta
       ( lx == _vTirareCatena_ ) 
         && 
       // e abbiamo l'occhio
       f_istaken("_occhio00_")  
     ) 
  {
      // se indossiamo i guanti
      if (f_isworn("_guanti11_")) 
      {
        f_show("...Un passaggio segreto si apre verso un sentiero fiorito...");
        // vai alla schermata di successo!
        f_win(); 
      }
      else
      {
        f_show("BZZZZZZZZZZZZ!!! Una scarica ti fulmina all'istante...");
        // vai alla schermata di fallimento!
        f_lose(); 
      }
  }
  else
  {
    f_show("AAAARGH!!! Il pavimento si apre e dall'alto una cascata d'acqua ti trascina via!...");
    // vai alla schermata di fallimento!
    f_lose(); 
  }
  return true;
}

// spariamo: l'esito dipende se l'ispettore  nella stanza o no
// oppure usiamo la pistola carica con l'ispettore
if (   
    // pistola carica - spara
    f_action("_pistolaCarica00_","spara") 
    // pistola carica - usa con - ispettore
    || f_action("_pistolaCarica00_","usa con","_ispettore00_")
    // ispettore - spara    
    || f_action("_ispettore00_","spara") 
    )
{
  // se l'ispettore  nella nostra stanza
  if (f_ishere("_ispettore00_"))
  {
    f_show("Hai ucciso l'ispettore delle tasse!!!");
    // facciamolo scomparire dal gioco
    f_moveout("_ispettore00_"); 
    // compare il suo cadavere
    f_move("_cadavere00_",f_whereisplayer());
    // ispettore  morto    
    _vStatoIspettore_ = 2; 
  }
  else
  {
    f_show("Hai sprecato l'unico colpo...");
  }
  // in entrambi i casi sostituisco la pistola scarica a quella carica
  f_swap("_pistolaScarica00_", "_pistolaCarica00_");
  return true;
}

// lanciamo il mattone: l'esito dipende se l'ispettore  nella stanza o no
// oppure usiamo il mattone con l'ispettore oppure lo colpiamo col mattone
if (   
    // mattone - lancia
    f_action("_mattone03_","lancia") 
    // mattone - usa con - ispettore
    || f_action("_mattone03_","usa con","_ispettore00_")
    // ispettore - colpisci    
    || f_action("_ispettore00_","colpisci") 
    )
{
  // se l'ispettore  nella nostra stanza
  if (f_ishere("_ispettore00_"))
  {
    // schiva il mattone
    f_show("L'ispettore delle tasse ha schivato il mattone!!!");
    // il mattone resta nella stanza    
    f_move("_mattone03_",f_whereisplayer()); 
  }
  else 
  // altrimenti non facciamo nulla
  {
    f_show("E dove lo vorresti lanciare?...");
  }
  return true;
}

