
// se abbiamo (o  presente) la lampada accesa nella stanza buia, 
// cambia la descrizione della stanza
if ( (f_isplayerin("_rStanzaBuia_")) && (f_ishere("_lampadaAccesa00_")) )
{
  _vTestoStanzaBuia_ = 2;
}
else
{
  _vTestoStanzaBuia_ = 1;
}

// se sono nella foresta per una o due azioni, scrivi una frase aggiuntiva 
if ( f_isplayerin("_rForesta_") )
{
  if ( _vAzioniInForesta_ == 1 )
  {
    f_append("Questa foresta ha qualcosa di inquietante... Ti senti strano...");
  }
  else if ( _vAzioniInForesta_ == 2 )
  {
    f_append("Senti uno strano formicolio lungo il corpo... 
              Il tuo istinto ti dice di andartene...");
  }
}

// se sono nella foresta, alla terza azione fai morire il giocatore
if ( ( f_isplayerin("_rForesta_") ) && ( _vAzioniInForesta_ == 3 ) )
{
  f_show(" 
    Improvvisamente ti rendi conto di non poterti pi muovere...^
    Ti stai pietrificando come gli alberi!!! Che fine terribile...
    ");
  
  f_lose();
  
  // inutile proseguire in conditions.js  
  return; 
}


// se non  mai stata valorizzata, mettiamo in vTirareCatena il numero di volte
// che bisogna tirare la catena del trono per vincere l'avventura
if ( _vTirareCatena_ == 0 )
{
  _vTirareCatena_ = f_getrandomint(1,3);
}


// l'ispettore compare dopo 20 azioni dall'inizio dell'avventura 
// se non sono nella foresta o nella stanza buia e se non  mai apparso.
if (
      // ispettore non  ancora apparso
      ( _vStatoIspettore_ == 0 )  
      // giocatore ha fatto almeno 20 azioni
      && ( _vMOVES_ >= 20 ) 
      // non sono nella foresta e nella stanza buia
      && (!f_isplayerin("_rForesta_")) && (!f_isplayerin("_rStanzaBuia_")) 
   )
{
  // ispettore compare solo una volta
  _vStatoIspettore_ = 1; 

  // ispettore compare nella stessa stanza del giocatore
  f_move( "_ispettore00_" , f_whereisplayer() ); 

  f_show("E' comparso l'ispettore delle tasse!");
}


// se l'ispettore  comparso e abbiamo fatto una azione non vuota in sua presenza
if ( ( _vStatoIspettore_ == 1 ) && ( _vAzioniConIspettore_ == 1 ) )
{
  // ispettore esce di scena
  _vStatoIspettore_ = 2;

  // se il giocatore ha almeno un oggetto, l'ispettore ne prende uno
  // a caso e se ne va
  var lConta = 0;
  
  // oggetto scelto dall'ispettore
  var lOggettoScelto;

  // punteggio random per decidere quale oggetto verr preso dall'ispettore
  var lPunteggio = 0; 

  // ciclo su tutti gli oggetti
  foreachobject{
    // se oggetto  trasportato dal giocatore
    if (f_istaken(id)) 
    {
      lConta = lConta + 1;
      
      // per ogni oggetto genero un numero a caso da 1 a 10
      var lTemp = f_getrandomint(1,10); 
      
      // se  maggiore del massimo ottenuto finora, l'oggetto scelto diventa questo  
      if (lTemp > lPunteggio) 
      {
          lPunteggio = lTemp;
          lOggettoScelto = id;
      }
    }
  }

  // se il giocatore ha almeno un oggetto
  if (lConta > 0)
  {
    // l'ispettore scompare
    f_moveout("_ispettore00_"); 

    // l'oggetto scompare
    f_moveout(lOggettoScelto); 

    f_show(
     "L'ispettore delle tasse esige il riscatto per i tuoi debiti 
      e preleva uno dei tuoi oggetti come anticipo! Per tua fortuna
      poi se ne va via...");
  }
  // altrimenti finisce in gattabuia!
  else 
  {
    f_show(
     "L'ispettore delle tasse esige il riscatto per i tuoi debiti ma tu non hai nulla
      da dargli... Purtroppo per te la tua pena  la gattabuia...");

    f_lose();

    return; 
  }
  
}


